Subject: bug#69334: closed (Re: bug#69334: guix pull bug in GNU Guix 1.4.0 QEMU Image)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 16 Jun 2025 09:09:17 +0000

Your bug report

#69334: guix pull bug in GNU Guix 1.4.0 QEMU Image

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69334: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69334
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#69334: guix pull bug in GNU Guix 1.4.0 QEMU Image
From: Simon Tournier <[email-masked]>
To: GNU Guix Live <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 Jun 2025 10:50:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Thanks for the report and sorry for the late reply.

On Fri, 23 Feb 2024 at 15:59, GNU Guix Live <[email-masked]> wrote:
> guest@gnu ~/Desktop$ guix pull
> Updating channel 'guix' from Git repository at
> 'https://git.savannah.gnu.org/git/guix.git'...
> Building from this channel:
>   guix      https://git.savannah.gnu.org/git/guix.git    aefc742
> Computing Guix derivation for 'x86_64-linux'... -guix pull: error: You found a
> bug: the program
> '/gnu/store/krk2vxkm0qlrl4jxkkycn8cgqlzvk704-compute-guix-derivation'
> failed to compute the derivation for Guix (version:
> "aefc7428203203ae88c64cc4769113453c01a185"; system: "x86_64-linux";
> host version: "989a3916dc8967bcb7275f10452f89bc6c3389cc"; pull-version: 1).
> Please report the COMPLETE output above by email to <[email-masked]>.

I think this bug is transient and/or part of a long series already
reported [1].

Therefore, I’m closing

    https://issues.guix.gnu.org/issue/69334

Feel free to reopen if I’m missing something.

Cheers,
simon

1: toward a plan? (was Re: Reducing "You found a bug" reports)
Simon Tournier <[email-masked]>
Tue, 10 Sep 2024 16:51:09 +0200
id:[email-masked]
https://lists.gnu.org/archive/html/guix-devel/2024-09
https://yhetil.org/guix/[email-masked]

Subject: guix pull bug in GNU Guix 1.4.0 QEMU Image
From: GNU Guix Live <[email-masked]>
To: [email-masked]
Date: Fri, 23 Feb 2024 15:59:41 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

guest@gnu ~/Desktop$ guix pull
Updating channel 'guix' from Git repository at 
'https://git.savannah.gnu.org/git/guix.git'...
Building from this channel:
   guix      https://git.savannah.gnu.org/git/guix.git    aefc742
Computing Guix derivation for 'x86_64-linux'... -guix pull: error: You 
found a bug: the program 
'/gnu/store/krk2vxkm0qlrl4jxkkycn8cgqlzvk704-compute-guix-derivation'
failed to compute the derivation for Guix (version: 
"aefc7428203203ae88c64cc4769113453c01a185"; system: "x86_64-linux";
host version: "989a3916dc8967bcb7275f10452f89bc6c3389cc"; pull-version: 1).
Please report the COMPLETE output above by email to <[email-masked]>.